SimpleSloppyPhraseQueryMaker (Lucene 3.6.2 API)
Keywords: org.apache.lucene.benchmark.byTask.feeds.SimpleSloppyPhraseQueryMaker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.feeds
Class SimpleSloppyPhraseQueryMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
          org.apache.lucene.benchmark.byTask.feeds.SimpleQueryMaker
              org.apache.lucene.benchmark.byTask.feeds.SimpleSloppyPhraseQueryMaker

All Implemented Interfaces:
  QueryMaker

    public class SimpleSloppyPhraseQueryMaker

extends SimpleQueryMaker

Create sloppy phrase queries for performance test, in an index created using simple doc maker.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
`config, qnum, queries`

Constructor Summary
`SimpleSloppyPhraseQueryMaker()`

Method Summary
`protected org.apache.lucene.search.Query[]` | `prepareQueries()` Prepare the queries for this test.

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
`makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSloppyPhraseQueryMaker

    public SimpleSloppyPhraseQueryMaker()

Method Detail

### prepareQueries

    protected org.apache.lucene.search.Query[] prepareQueries()
                                                       throws Exception

  Description copied from class: `SimpleQueryMaker`
  Prepare the queries for this test. Extending classes can override this method for preparing different queries.

  Overrides:
    `prepareQueries` in class `SimpleQueryMaker`
  Returns:
    prepared queries.
  Throws:
    `Exception` - if cannot prepare the queries.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD